"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const convertWorkspaceDefinition_1 = require("../convertWorkspaceDefinition");
describe("convertWorkspaceDefinition", () => {
    it("relative input path", () => {
        const result = (0, convertWorkspaceDefinition_1.convertWorkspaceDefinition)({
            workspaceDefinition: {
                definition: "my/definition",
                generators: [],
            },
            absolutePathToDefinition: "/path/to/definition/.fernrc.yml",
        });
        expect(result._absolutePath).toBe("/path/to/definition");
        expect(result.absolutePathToDefinition).toBe("/path/to/definition/my/definition");
    });
    it("absolute input path", () => {
        const result = (0, convertWorkspaceDefinition_1.convertWorkspaceDefinition)({
            workspaceDefinition: {
                definition: "/my/definition",
                generators: [],
            },
            absolutePathToDefinition: "/path/to/definition/.fernrc.yml",
        });
        expect(result._absolutePath).toBe("/path/to/definition");
        expect(result.absolutePathToDefinition).toBe("/my/definition");
    });
});
