"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertWorkspaceDefinition = void 0;
const path_1 = __importDefault(require("path"));
function convertWorkspaceDefinition({ workspaceDefinition, absolutePathToDefinition, }) {
    const absolutePathToWorkspaceDir = path_1.default.dirname(absolutePathToDefinition);
    return {
        _absolutePath: absolutePathToWorkspaceDir,
        name: workspaceDefinition.name,
        absolutePathToDefinition: path_1.default.resolve(absolutePathToWorkspaceDir, workspaceDefinition.definition),
        generators: workspaceDefinition.generators.map((generator) => ({
            name: generator.name,
            version: generator.version,
            absolutePathToOutput: generator.output != null ? path_1.default.resolve(absolutePathToWorkspaceDir, generator.output) : undefined,
            config: generator.config,
            helpers: generator.helpers != null
                ? generator.helpers.map((helper) => ({
                    name: helper.name,
                    version: helper.version,
                    absoluteLocationOnDisk: helper.locationOnDisk != null
                        ? path_1.default.resolve(absolutePathToWorkspaceDir, helper.locationOnDisk)
                        : undefined,
                }))
                : [],
        })),
    };
}
exports.convertWorkspaceDefinition = convertWorkspaceDefinition;
